Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 8259 - USER TEST: No feedback if CVS branch has been completed
USER TEST: No feedback if CVS branch has been completed
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: vcscvs
3.x
PC Windows 3.1/NT
: P4 (vote)
: TBD
Assigned To: issues@obsolete
issues@obsolete
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-07 23:39 UTC by jhoffman
Modified: 2003-07-02 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jhoffman 2000-11-07 23:39:26 UTC
During the FFJ user test of the CVS functionality, three users attempted to
create a branch.  Two of the three users were frustrated because they received
no feedback that the branch action was completed.

The output window should be displayed with feedback that the command (Add Tag)
has been completed successfully.
Comment 1 Martin Entlicher 2000-11-29 19:26:59 UTC
Each command, that start running or finishes, prints the information
to the status line in the main window.

If the main window's status line information is not sufficient,
you may turn on the Debug property of the file system. Enabling this
will print the name of the command with the execution string to the
output window and its error output as well.

However the way commands provide their output will be changed in vcscore module.
Comment 2 Martin Entlicher 2001-01-09 16:42:59 UTC
If it will be suitable, a special dialog can be added after execution of some
commands, that will notify the user that the command finished and whether it was
successfull or not.
Comment 3 Jiri Kovalsky 2001-01-25 18:29:59 UTC
Since CVS has finally moved to depend on new and fresh cvscore I propose to
give feedback for these commands:
Files: Lock, Unlock, Edit, Undo Edit, Watch On, Watch Off, Remove Sticky Tag
Directories: the same as for files plus Add and Import commands in addition.

One more note: Please don't forget to create property for this additional
feature somewhere in "Tools | Options" that will give user possibility to
switch this messaging off. Some users will appreciate it. Am I right Dan :-) ?
Comment 4 Martin Entlicher 2001-01-29 20:22:59 UTC
Fixed in dev build #114. The notification added for the commands listed above.
An option added to the file system properties, where the notification can be
turned off.
Comment 5 dmladek 2001-02-04 00:12:59 UTC
Martin,
you're absolutly right!!! and grat:-)

It's very very nice fix.
thanx
DM
Comment 6 dmladek 2001-02-05 12:58:59 UTC
Automaticaly changed Version from "Other" to "Dev"
Version "Other" is nonsence
Comment 7 Quality Engineering 2003-07-02 17:17:35 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo